Hacker News new | past | comments | ask | show | jobs | submit | mzs's comments login

How do you degas a skull in a living mammal and have an unharmed animal after?

You don’t. The bubbles only form once the skull is outside the body. When it gets out of the body, the gaps that used to be filled with water get filled with air.

I just learned about hammerspoon because of this, automate macos with lua, nice: https://github.com/Hammerspoon/hammerspoon


You have to use an instruction like cpuid with rdtsc so that the TSC is not read before the loop terminates. There have been changes to the Intel docs and there are more options now:

https://stackoverflow.com/a/58146426

Also in the bad old days SMM would interfere on some CPUs.


experienced the same with train to museum


  rm -rf "$TSTDIR"/etc
is pretty dangerous when you forget to set the env var


Fair! Upvoted.

I guess I'm not likely to type that into the shell, or if I do, I then tab-complete to expand it.

I could definitely see myself using that in a shell script, though. I tend to do validity checks there:

    if ! [ -d "$TSTDIR" ]; echo "$TSTDIR not found, stupid" >&2; exit 1; fi
but that's kind of irrelevant, since if I need it to exist then I won't be removing it. Plus, I could totally see myself doing

    if [ -d "$TESTDIR" ]; then
      rm -rf "$TSTDIR"/etc
    fi


In bash, `set -u` or `"${TSTDIR:?Error: TSTSDIR is required.}/etc"` protects from such errors.


Same for me, on FF you can override it with:

  about:config
    ui.prefersReducedMotion = 0
https://developer.mozilla.org/en-US/docs/Web/CSS/@media/pref...


thank you


So if there are greater than only 357 people on topics the GP is interested in that's better than 50/50 odds.


This post links to some good documentation about sniffer related options: https://wiki.wireshark.org/CaptureSetup/Offloading#checksum-...

The sysctls are net.link.generic.system.hwcksum_tx and net.link.generic.system.hwcksum_rx on macos.



Guidelines | FAQ | Lists | API | Security | Legal | Apply to YC | Contact

Search: